适用于开发者的IOS SDK 对接

ioios2.png

SDK 版本: 5.3.0 (发布说明)

  弃用版本

从2020年3月1日起,AppsFlyer会弃用4.8.3(不包含)及之前的SDK版本弃用通知.

1. 概述

AppsFlyer SDK为移动应用提供安装和应用内事件的追踪。我们所开发的SDK十分强大,不仅安全,轻便而且可以轻松内嵌。

您可以追踪安装、更新和互动以及应用安装以外的其他应用内事件(包括应用内购买、游戏级别等),以评估 ROI 和用户互动水平。

1.1 SDK集成-您需要做什么

选项卡 目的 结果

SDK集成强制

显示如何添加和配置SDK。
  • 应用面板记录到一个新的自然安装
  • 应用面板记录到一个新的非自然安装

核心API 强烈推荐

展示如何使用SDK的核心API。这些API可让您衡量应用内事件和收入,执行深层链接并收集转化数据。

使应用内事件和收入显示在控制面板上

实现深度链接

其他API

展示如何导入和使用可选的API,例如卸载度量,引荐(用户邀请归因)和推送通知。

你可以去衡量卸载,引荐,用户与推送通知的互动,处理用户隐私以及更多其他功能。

API参考

开发人员SDK API的快速参考

 

1.2 SDK与iOS的兼容性

  • IOS SDK对于所有版本6和更高版本的IOS设备以及版本9和更高版本的tvOS设备(iPhone,iPod,iPad,Apple TV)都可以适配。
  • iOS SDK完全兼容Apple的IPv6 DNS64 / NAT64网络。有关更多信息,请参见这里
这篇文章有帮助吗?

评论

0 条评论

登录写评论。